Subject: Small text corrections (from 014)..

From: Remi Pelland <[email-masked]>
Date: Mon, 17 Oct 94 09:46:00 PDT

Steve,

Here are changes that I've already discussed with Alan in Raleigh.  I 
outlined a few other minor typos not included in this message, which he 
corrected on the spot.   However, he suggested that I post these since 
they're related to the FSMs (don't worry, no changes to the FSM, only to the 
associated text).

In section 3.3. Correlators

The Origin DLSw must allow these fields to vary until the ICANREACH_cs is 
received. Each SSP message issued for a circuit must reflect the values 
specified by the Target DLSw in the last SSP message for this circuit 
received by the Origin DLSw. Binary zero...

Also, later we have the same for the target.

The Target DLSw must allow these fields to vary until the REACH_ACK is 
received. Each SSP message issued for a circuit must reflect the values 
specified by the Origin DLSw in the last SSP message for this circuit 
received by the Target DLSw. Binary zero...

It's not clear what "last message" mean.  Does this mean that every time we 
receive a SSP message, we have to save it's correlator?  Or is this true 
only up to a specified state?  If so, the state should be clearly specified.

In section 5.1. Data Link Switch States

The HALT_PENDING and RESTART_DL states have only one input event and only 
one output action.

Should read:

The HALT_PENDING and RESTART_PENDING states have only one input event and 
only one output action.

In section 5.2.6. CIRCUIT_ESTABLISHED State.

The CIRCUIT_ESTABLISHED state is entered by the origin Data Link Switch from 
the DISCONNECTED state, and by the...

This actually describes the pre-standard way of going in CIRCUIT_ESTABLISHED 
on the origin side. Instead, it should read:

The CIRCUIT_ESTABLISHED state is entered by the origin Data Link Switch from 
the CIRCUIT_START state, and by the...

5.2.13. HALT_PENDING_NOACK State

The HALT_PENDING state is entered upon the receipt of a HALT_DL message.

Should read:

The HALT_PENDING_NOACK state is entered upon the receipt of a HALT_DL_NOACK 
message.

 --------------------------------
Remi Pelland
Eicon Research.